List sources for a project
curl --request GET \
--url https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources \
--header 'x-api-key: <api-key>'import requests
url = "https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"schemaVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"kind": "postgres",
"seed": "<string>",
"generatorConfig": {},
"rateLimitRpm": 123,
"requireAuth": true,
"lastGenerationAt": "2023-11-07T05:31:56Z",
"generationAudit": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Sources
List Sources
GET
/
public
/
v1
/
projects
/
{projectId}
/
sources
List sources for a project
curl --request GET \
--url https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources \
--header 'x-api-key: <api-key>'import requests
url = "https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synthbrew.com/api/public/v1/projects/{projectId}/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"schemaVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"kind": "postgres",
"seed": "<string>",
"generatorConfig": {},
"rateLimitRpm": 123,
"requireAuth": true,
"lastGenerationAt": "2023-11-07T05:31:56Z",
"generationAudit": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Authorizations
Team API key created under /api/api-keys. Prefix: sb_api_.
Path Parameters
Project UUID in the team associated with the API key.
Response
Source list
Source configuration. For Supabase runtime targets, responses include runtimeTarget.connectionSecretId and never return plaintext runtimeTarget.connectionString.
Available options:
postgres, mysql ⌘I